--- old/usr/src/uts/intel/io/dktp/controller/ata/ata_common.c	Mon Sep 18 15:08:39 2017
+++ new/usr/src/uts/intel/io/dktp/controller/ata/ata_common.c	Mon Sep 18 15:08:39 2017
@@ -22,6 +22,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2017 RackTop Systems.
  */
 
 #include <sys/types.h>
@@ -3499,6 +3501,9 @@
 static void
 ata_init_pm(dev_info_t *dip)
 {
+	int		instance;
+	ata_ctl_t 	*ata_ctlp;
+#ifdef	ATA_USE_AUTOPM
 	char		pmc_name[16];
 	char		*pmc[] = {
 				NULL,
@@ -3506,8 +3511,7 @@
 				"3=PowerOn (PCI D0 State)",
 				NULL
 			};
-	int		instance;
-	ata_ctl_t 	*ata_ctlp;
+#endif
 
 
 	instance = ddi_get_instance(dip);
@@ -3518,10 +3522,10 @@
 	if (!ata_is_pci(dip))
 		return;
 
+#ifdef	ATA_USE_AUTOPM
 	(void) sprintf(pmc_name, "NAME=ata%d", instance);
 	pmc[0] = pmc_name;
 
-#ifdef	ATA_USE_AUTOPM
 	if (ddi_prop_update_string_array(DDI_DEV_T_NONE, dip,
 	    "pm-components", pmc, 3) != DDI_PROP_SUCCESS) {
 		return;
--- old/usr/src/uts/intel/io/dktp/controller/ata/sil3xxx.c	Mon Sep 18 15:08:40 2017
+++ new/usr/src/uts/intel/io/dktp/controller/ata/sil3xxx.c	Mon Sep 18 15:08:40 2017
@@ -22,6 +22,8 @@
 /*
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2017 RackTop Systems.
  */
 /*
  * Silicon Image 3XXX controller specific processing
@@ -36,8 +38,6 @@
  * 6. Hot Plug Support
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "ata_common.h"
 #include "sil3xxx.h"
 #include <sys/pci.h>
@@ -58,8 +58,7 @@
 	uint32_t fifo_cnt_ctl;
 	int ports, i;
 
-#ifdef	DEBUG
-	/* LINTED */
+#ifdef	ATA_DEBUG
 	ushort_t sfiscfg_val;
 #endif
 
@@ -125,7 +124,7 @@
 		/*
 		 * Correct default setting for FIS0cfg
 		 */
-#ifdef	DEBUG
+#ifdef	ATA_DEBUG
 		GET_BAR5_INDIRECT(pci_conf_handle, sfiscfg[i],
 			sfiscfg_val);
 		ADBG_WARN(("sil3xxx_init_controller: old val SFISCfg "
@@ -133,7 +132,7 @@
 #endif
 		PUT_BAR5_INDIRECT(pci_conf_handle, sfiscfg[i],
 			SFISCFG_ERRATA);
-#ifdef	DEBUG
+#ifdef	ATA_DEBUG
 		GET_BAR5_INDIRECT(pci_conf_handle, sfiscfg[i],
 			sfiscfg_val);
 		ADBG_WARN(("sil3xxx_init_controller: new val SFISCfg "
